--list of items that classes cannot use
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()
local BI = LibStub("LibBabble-Inventory-3.0"):GetLookupTable()

AutoProfitX_Proficiencies = {
	[BC["DRUID"]] = {
		[ARMOR] = {
			[BI["Mail"]] = true,
			[BI["Shields"]] = true,
			[BI["Plate"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["One-Handed Axes"]] = true,
			[BI["One-Handed Swords"]] = true,
			[BI["Thrown"]] = true,
			[BI["Two-Handed Axes"]] = true,
			[BI["Two-Handed Swords"]] = true,
			[BI["Wands"]] = true,
			noOffhand = true
		},
	},
	[BC["HUNTER"]] = {
		[ARMOR] = {
			[BI["Shields"]] = true,
			[BI["Plate"]] = true,
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["One-Handed Maces"]] = true,
			[BI["Two-Handed Maces"]] = true,
			[BI["Wands"]] = true,
		},
	},
	[BC["MAGE"]] = {
		[ARMOR] = {
			[BI["Leather"]] = true,
			[BI["Mail"]] = true,
			[BI["Shields"]] = true,
			[BI["Plate"]] = true,
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["Fist Weapons"]] = true,
			[BI["One-Handed Axes"]] = true,
			[BI["One-Handed Maces"]] = true,
			[BI["Polearms"]] = true,
			[BI["Thrown"]] = true,
			[BI["Two-Handed Axes"]] = true,
			[BI["Two-Handed Maces"]] = true,
			[BI["Two-Handed Swords"]] = true,
			noOffhand = true
		}
	},
	[BC["PALADIN"]] = {
		[ARMOR] = {
			[BI["Idols"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["Fist Weapons"]] = true,
			[BI["Thrown"]] = true,
			[BI["Wands"]] = true,
			noOffhand = true,
		},
	},
	[BC["PRIEST"]] = {
		[ARMOR] = {
			[BI["Leather"]] = true,
			[BI["Mail"]] = true,
			[BI["Shields"]] = true,
			[BI["Plate"]] = true,
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["Fist Weapons"]] = true,
			[BI["One-Handed Axes"]] = true,
			[BI["One-Handed Swords"]] = true,
			[BI["Polearms"]] = true,
			[BI["Thrown"]] = true,
			[BI["Two-Handed Axes"]] = true,
			[BI["Two-Handed Maces"]] = true,
			[BI["Two-Handed Swords"]] = true,
			noOffhand = true
		},
	},
	[BC["ROGUE"]] = {
		[ARMOR] = {
			[BI["Mail"]] = true,
			[BI["Shields"]] = true,
			[BI["Plate"]] = true,
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Polearms"]] = true,
			[BI["Staves"]] = true,
			[BI["Two-Handed Axes"]] = true,
			[BI["Two-Handed Maces"]] = true,
			[BI["Two-Handed Swords"]] = true,
			[BI["Wands"]] = true,
		}
	},
	[BC["SHAMAN"]] = {
		[ARMOR] = {
			[BI["Plate"]] = true,
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["One-Handed Swords"]] = true,
			[BI["Polearms"]] = true,
			[BI["Thrown"]] = true,
			[BI["Two-Handed Swords"]] = true,
			[BI["Wands"]] = true,
		},
	},
	[BC["WARLOCK"]] = {
		[ARMOR] = {
			[BI["Leather"]] = true,
			[BI["Mail"]] = true,
			[BI["Shields"]] = true,
			[BI["Plate"]] = true,
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["Fist Weapons"]] = true,
			[BI["One-Handed Axes"]] = true,
			[BI["One-Handed Maces"]] = true,
			[BI["Polearms"]] = true,
			[BI["Thrown"]] = true,
			[BI["Two-Handed Axes"]] = true,
			[BI["Two-Handed Maces"]] = true,
			[BI["Two-Handed Swords"]] = true,
			noOffhand = true
		},
	},
	[BC["WARRIOR"]] = {
		[ARMOR] = {
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Wands"]] = true,
		},
	},
	[BC["DEATHKNIGHT"]] = {
		[ARMOR] = {
			[BI["Idols"]] = true,
			[BI["Librams"]] = true,
			[BI["Totems"]] = true,
                        [BI["Shields"]] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI["Wands"]] = true,
			[BI["Bows"]] = true,
			[BI["Crossbows"]] = true,
			[BI["Guns"]] = true,
			[BI["Thrown"]] = true,
			[BI["Staves"]] = true,
                        [BI["Daggers"]] = true,
			[BI["Fist Weapons"]] = true,
		},
	},
}